------ ENTRADA DE DADES ------ CPM

set serveroutput on;
-- #############################################################################
-- #####         ESBORREM CONTINGUT DE LES TAULES                        #####
-- #############################################################################
delete from e1;
delete from e2;
delete from e3;
delete from e4;
delete from e5;
delete from e6;
delete from e7;
delete from consum;
delete from connecta;
delete from comptador;
delete from client;
delete from alimenta;
delete from liniescomunicacio;
delete from centraletaDistribucio;
delete from produccio;
delete from nuclear;
delete from solar;
delete from eolica;
delete from hidroelectrica;
delete from termica;
delete from centralproduccio;
delete from adreca;
delete from localitat;
delete from pais;
delete from logs;
-- #############################################################################
-- #####         ESBORREM LES SEQNCIES                                   #####
-- #############################################################################
DROP SEQUENCE seq_logs;
DROP SEQUENCE seq_localitat;
DROP SEQUENCE seq_adreca;
DROP SEQUENCE seq_central;
DROP SEQUENCE seq_linies;
DROP SEQUENCE seq_comptador;
-- #############################################################################
-- #####         TORNEM A CREAR LES SEQNCIES                             #####
-- #############################################################################
CREATE SEQUENCE seq_logs INCREMENT BY 1 START WITH 1;
CREATE SEQUENCE seq_localitat INCREMENT BY 1 START WITH 1;
CREATE SEQUENCE seq_adreca INCREMENT BY 1 START WITH 1;
CREATE SEQUENCE seq_central INCREMENT BY 1 START WITH 1;
CREATE SEQUENCE seq_linies INCREMENT BY 1 START WITH 1;
CREATE SEQUENCE seq_comptador INCREMENT BY 1 START WITH 1;


-- #############################################################################
-- #####         PROVES PROCEDIMENTS ABM                                   #####
-- #############################################################################
DECLARE
	RSP		VARCHAR2(100);
BEGIN

	RSP:= 'OK';

-- #############################################################################
-- #####         EXECUCI CORRECTE DE PROCEDIMENTS                         #####
-- #############################################################################

-- #############################################################################
-- #####         GESTI DE D'ADRECES                                       #####
-- #############################################################################

-- Pais. Inserci correcte
	p_pais_insert('AT','ustria',RSP);
	p_pais_insert('ES','Espana',RSP);
-- Pais. Modificaci correcte
	p_pais_update('ES','Espanya',RSP);
-- Pais. Esborrat correcte
	p_pais_delete('AT',RSP);  
  
-- Localitat. Inserci correcte
	p_localitat_insert('ES','Barcelona',RSP);
	p_localitat_insert('ES','Tarragona',RSP);
-- Localitat. Modificaci correcte
	p_localitat_update(1,'ES','BCN',RSP);
-- Localitat. Esborrat correcte
	p_localitat_delete(2,'ES',RSP);
  
-- Adrea. Inserci correcte
	p_adreca_insert('ES',1,'08001','Rambla Catalunya',1,'',1,1,RSP);
  p_adreca_insert('ES',1,'08002','Diagonal',105,'A',2,3,RSP);
  p_adreca_insert('ES',1,'08003','Xifrer',15,'',1,1,RSP);
  
  -- Adrea. Modificaci correcte
  p_adreca_update('ES',1,3,'08003','Fresser',15,'',1,1,RSP);
  
  -- Adrea. Supressi correct
  p_adreca_delete('ES',1,3,RSP);
  

-- #############################################################################
-- #####         GESTI DE CENTRALS                                        #####
-- #############################################################################

	-- Inserci correcte de centrals de producci
  p_solar_insert('ES',1,1,7500.00,300,RSP);
  p_eolica_insert('ES',1,1,5000.00,100,RSP);
  p_hidroelectrica_insert('ES',1,1,5000.00,4,RSP);
	p_nuclear_insert('ES',1,1,10000.00,100.00,10.00,RSP);
  p_termica_insert('ES',1,1,9000.00,300.0,RSP);

-- Modificaci correcte de centrals de producci
  p_solar_update(1,'ES',1,1,7500.00,to_timestamp('25/08/2011 11:00:00'),200,RSP);
  p_eolica_update(2,'ES',1,1,5000.00,to_timestamp('25/03/2012 11:00:00'),200,RSP);
  p_hidroelectrica_update(3,'ES',1,1,3000.00,to_timestamp('28/08/2011 11:00:00'),4,RSP);
	p_nuclear_update(4,'ES',1,1,8000.00,to_timestamp('25/03/2011 11:00:00'),100.00,10.00,RSP);
  p_termica_update(5,'ES',1,1,4000.00,to_timestamp('20/08/2011 11:00:00'),300.0,RSP);

-- Canvi estat centrals
  p_centralproduccio_canviEstat(1,'B',RSP);
  p_centralproduccio_canviEstat(1,'A',RSP); 

-- Producci. Inserci correcte
  p_produccio_insert(2,to_timestamp('20/03/2012 11:00:00'),2000.,RSP);

-- #############################################################################
-- #####         GESTI SISTEMA DE TRANSPORT                               #####
-- #############################################################################

-- Centraleta distribuci. Inserci correcte
  p_centraleta_insert(1,'ES',1,1,6000.00,RSP);
  p_centraleta_insert(2,'ES',1,1,5000.00,RSP);
  p_centraleta_insert(3,'ES',1,1,5000.00,RSP);  

-- Centraleta distribuci. Modificaci correcte
  p_centraleta_update(1,'ES',1,1,2000.00,RSP);

-- Centraleta distribuci. Canvi Estat correcte
  p_centraleta_canviEstat(2,'ES',1,1,'B',RSP);

-- Linia comunicacio. Inserci correcte
  p_LiniaComunicacio_insert(4500.0,RSP);
  p_LiniaComunicacio_insert(800.0,RSP);  
  p_LiniaComunicacio_insert(800.0,RSP);  
-- Linia comunicaci. Modificaci correcte
  p_LiniaComunicacio_update(1,4500.0,RSP);

-- Linia comunicaci. Canvi Estat correcte
  p_LiniaComunicacio_canviEstat(2,'B',RSP);


-- #############################################################################
-- #####         GESTI CONNEXIONS CENTRAL PRODUCCI - CENTRALETES         #####
-- #############################################################################

-- Connexi Central - Centraleta. Inserci correcte
  p_alimenta_insert(1,'ES',1,1,1,1,RSP);

-- Connexi Central - Centraleta. Esborrate correcte
  p_alimenta_delete(1,'ES',1,1,1,1,RSP);
--reinsertem 
  p_alimenta_insert(1,'ES',1,1,1,1,RSP);
  
-- #############################################################################
-- #####         GESTI DE CLIENTS                                         #####
-- #############################################################################

-- Client. Inserci correcte
  p_client_insert('ES-1','Lluis Puig','ES',1,1,RSP);
  p_client_insert('ES-2','Pere Puig','ES',1,1,RSP);  
  
-- Client. Modificaci correcte
  p_client_update('ES-2','Antoni Puig','ES',1,1,RSP);  
  
-- Client. Canvi Estat correcte
  p_client_canviEstat('ES-2','B',RSP);
  p_client_canviEstat('ES-2','A',RSP);  


-- #############################################################################
-- #####         GESTI DE COMPTADORS                                      #####
-- #############################################################################

-- Comptador. Inserci correcte
  p_comptador_insert(10.0,'STN13M','CR',to_timestamp('01/07/2010 11:00:00'),'ES',1,1,'ES-1',RSP);
  p_comptador_insert(30.0,'STN13M','CR',to_timestamp('01/08/2010 11:00:00'),'ES',1,1,'ES-1',RSP);
  p_comptador_insert(10.0,'STN13M','CR',to_timestamp('01/08/2011 11:00:00'),'ES',1,1,'ES-1',RSP);
-- Comptador. Inserci Modificaci correcte.
  p_comptador_update(2,30000.0,'STN13','CsR',to_timestamp('01/08/2011 11:00:00'),'ES',1,1,'ES-1',RSP);

-- Comptador. Canvi Estat correcte.
  p_comptador_canviEstat(3,'B',RSP);
-- (reactivem el comptador)
  p_comptador_canviEstat(3,'A',RSP);
  
  
-- #############################################################################
-- #####         GESTI DE CONNEXIONS CENTRALETA - COMPTADOR               #####
-- #############################################################################

-- Connexi Centraleta Distribucio - Comptador. Connexi correcte
  p_Connecta_insert(1,1,'ES',1,1,3,RSP);
-- (connectem el comptador 3 i el donem de baixa a continuaci)
  p_Connecta_insert(3,1,'ES',1,1,3,RSP);
  p_comptador_canviEstat(3,'B',RSP);
-- Connexi Centraleta Distribucio - Comptador. Delete correcte
  p_Connecta_delete(1,1,'ES',1,1,3,RSP);  
-- (reconnectem)
  p_Connecta_insert(1,1,'ES',1,1,3,RSP);  


-- #############################################################################
-- #####         GESTI DE CONSUMS                                         #####
-- #############################################################################

-- Consum. Inserci correcte
  p_consumP_insert(1,to_timestamp('25/04/2012 11:00:00'),5.,RSP);
  p_consumT_insert(1,8.,RSP);

 
  
-- #############################################################################
-- #####      EXECUCI INCORRECTE DE PROCEDIMENTS                          #####
-- #############################################################################

-- #############################################################################
-- #####         GESTI D'ADRECES                                          #####
-- #############################################################################

-- Introduim pais sense algun dels parametres 
	p_pais_insert('','Espana',RSP);
	p_pais_insert('ES','',RSP);
-- Introduim pais duplicat
	p_pais_insert('ES','Espana',RSP);

-- Modifiquem les dades d'un pais sense algun dels parmetres
	p_pais_update('','Espanya',RSP);
	p_pais_update('ES','',RSP);
-- Modifiquem les dades d'un pais que no existeix	
	p_pais_update('AU','Espanya',RSP);

-- Esborrem un pais sense algun dels parmetres
	p_pais_delete('',RSP);
-- Esborrem un pais que no existeix
	p_pais_delete('AT',RSP);
-- Esborrem un pais amb dependncies
	p_pais_delete('ES',RSP);

-- Introduim localitat sense algun dels parametres 
	p_localitat_insert('ES','',RSP);
	p_localitat_insert('','Barcelona',RSP);  

-- Modifiquem les dades d'una localitat sense algun dels parmetres
	p_localitat_update(1,'','BCN',RSP);
  p_localitat_update(1,'ES','',RSP);
-- Modifiquem les dades d'una localitat que no existeix	
	p_localitat_update(3,'ES','Madrid',RSP);
-- Modifiquem les dades d'una localitat q'un pais que no existeix	
	p_localitat_update(1,'AU','Madrid',RSP);

-- Esborrem una localitat que no existeix
  p_localitat_delete(3,'ES',RSP);
  p_localitat_delete(2,'AT',RSP);
-- Esborrem una localitat amb dependncies
  p_localitat_delete(1,'ES',RSP);
-- Introdum adreca sense parmetres
	p_adreca_insert('',1,'08001','Rambla Catalunya',1,'',1,1,RSP);
  p_adreca_insert('ES','','08001','Rambla Catalunya',1,'',1,1,RSP);
  p_adreca_insert('ES',1,'','Rambla Catalunya',1,'',1,1,RSP);
  p_adreca_insert('ES',1,'08001','',1,'',1,1,RSP);
  p_adreca_insert('ES',1,'08001','Rambla Catalunya','','',1,1,RSP);
  p_adreca_insert('ES',1,'08001','Rambla Catalunya',1,'','',1,RSP);
  p_adreca_insert('ES',1,'08001','Rambla Catalunya',1,'',1,'',RSP);

-- Introdum adreca localitat no existeix
	p_adreca_insert('ES',6,'08001','Rambla Catalunya',1,'',1,1,RSP);
-- Introdum adreca pais no existeix
	p_adreca_insert('GF',6,'08001','Rambla Catalunya',1,'',1,1,RSP);
  
 
-- #############################################################################
-- #####         GESTI DE CENTRALS DE PRODUCCI                           #####
-- #############################################################################
-- Inserci centrals de producci amb parmtres erronis
  p_solar_insert('',1,1,7500.00,300,RSP);
  p_solar_insert('ES','',1,7500.00,300,RSP);
  p_solar_insert('ES',1,'',7500.00,300,RSP);
  p_solar_insert('ES',1,1,'',300,RSP);
  p_solar_insert('ES',1,'',7500.00,'',RSP);

  p_eolica_insert('',1,1,5000.00,100,RSP);
  p_eolica_insert('ES','',1,5000.00,100,RSP);
  p_eolica_insert('ES',1,'',5000.00,100,RSP);
  p_eolica_insert('ES',1,1,'',100,RSP);
  p_eolica_insert('ES',1,1,5000.00,'',RSP);
  
  p_hidroelectrica_insert('',1,1,5000.00,4,RSP);
  p_hidroelectrica_insert('ES','',1,5000.00,4,RSP);
  p_hidroelectrica_insert('ES',1,'',5000.00,4,RSP);
  p_hidroelectrica_insert('ES',1,1,'',4,RSP);
  p_hidroelectrica_insert('ES',1,1,5000.00,'',RSP);
  
	p_nuclear_insert('',1,1,10000.00,100.00,10.00,RSP);
  p_nuclear_insert('ES','',1,10000.00,100.00,10.00,RSP);
  p_nuclear_insert('ES',1,'',10000.00,100.00,10.00,RSP);
  p_nuclear_insert('ES',1,1,'',100.00,10.00,RSP);
  p_nuclear_insert('ES',1,1,10000.00,'',10.00,RSP);
  p_nuclear_insert('ES',1,1,10000.00,100.00,'',RSP);
  
  p_termica_insert('',1,1,9000.00,300.0,RSP);
  p_termica_insert('ES','',1,9000.00,300.0,RSP);
  p_termica_insert('ES',1,'',9000.00,300.0,RSP);
  p_termica_insert('ES',1,1,'',300.0,RSP);
  p_termica_insert('ES',1,1,9000.00,'',RSP);
  
-- Inserci centrals de producci en una adrea que no existeix
  p_solar_insert('GR',1,1,7500.00,300,RSP);
  p_eolica_insert('ES',10,1,5000.00,100,RSP);
  p_hidroelectrica_insert('ES',1,10,5000.00,4,RSP);
	p_nuclear_insert('FR',1,1,10000.00,100.00,10.00,RSP);
  p_termica_insert('TR',2,3,9000.00,300.0,RSP);
  
-- Solar. Modificaci incorrecte de centrals. Falten parmetres
  p_solar_update('','ES',1,1,7500.00,to_timestamp('25/08/2011 11:00:00'),200,RSP);
  p_solar_update(1,'',1,1,7500.00,to_timestamp('25/08/2011 11:00:00'),200,RSP);
  p_solar_update(1,'ES','',1,7500.00,to_timestamp('25/08/2011 11:00:00'),200,RSP);  
  p_solar_update(1,'ES',1,'',7500.00,to_timestamp('25/08/2011 11:00:00'),200,RSP);  
  p_solar_update(1,'ES',1,1,7500.00,'',200,RSP);  

-- Solar canvi estat central no activa
  p_centralProduccio_canviEstat(1,'B',RSP);
  p_solar_update(1,'ES',1,1,7500.00,to_timestamp('25/08/2011 11:00:00'),200,RSP);  
-- (tornem a canviar l'estat)
  p_centralProduccio_canviEstat(1,'A',RSP);
-- Central no existeix o no s solar
  p_solar_update(3,'ES',1,1,7500.00,to_timestamp('25/08/2011 11:00:00'),200,RSP);  
-- Adrea no existeix
  p_solar_update(1,'FR',1,1,7500.00,to_timestamp('25/08/2011 11:00:00'),200,RSP); 
  
-- Eolica. Modificaci incorrecte de centrals. Falten parmetres
  p_eolica_update('','ES',1,1,5000.00,to_timestamp('25/03/2012 11:00:00'),200,RSP);
  p_eolica_update(2,'',1,1,5000.00,to_timestamp('25/03/2012 11:00:00'),200,RSP);
  p_eolica_update(2,'ES','',1,5000.00,to_timestamp('25/03/2012 11:00:00'),200,RSP);
  p_eolica_update(2,'ES',1,'',5000.00,to_timestamp('25/03/2012 11:00:00'),200,RSP);
  p_eolica_update(2,'ES',1,1,'',to_timestamp('25/03/2012 11:00:00'),200,RSP);
  p_eolica_update(2,'ES',1,1,5000.00,'',200,RSP);
  p_eolica_update(2,'ES',1,1,5000.00,to_timestamp('25/03/2012 11:00:00'),'',RSP);
  
-- Eolica. canvi estat central no activa
  p_centralProduccio_canviEstat(2,'B',RSP);
  p_eolica_update(2,'ES',1,1,5000.00,to_timestamp('25/03/2012 11:00:00'),200,RSP);
-- (tornem a canviar l'estat)
  p_centralProduccio_canviEstat(2,'A',RSP);
-- Eolica no existeix o no s solar
  p_eolica_update(5,'ES',1,1,5000.00,to_timestamp('25/03/2012 11:00:00'),200,RSP);
-- Eolica Adrea no existeix
  p_eolica_update(2,'FR',1,1,5000.00,to_timestamp('25/03/2012 11:00:00'),200,RSP);

-- Hidroelectrica. Modificaci incorrecte de centrals. Falten parmetres
  p_hidroelectrica_update('','ES',1,1,3000.00,to_timestamp('28/08/2011 11:00:00'),4,RSP);
  p_hidroelectrica_update(3,'',1,1,3000.00,to_timestamp('28/08/2011 11:00:00'),4,RSP);
  p_hidroelectrica_update(3,'ES','',1,3000.00,to_timestamp('28/08/2011 11:00:00'),4,RSP);
  p_hidroelectrica_update(3,'ES',1,'',3000.00,to_timestamp('28/08/2011 11:00:00'),4,RSP);
  p_hidroelectrica_update(3,'ES',1,1,'',to_timestamp('28/08/2011 11:00:00'),4,RSP);
  p_hidroelectrica_update(3,'ES',1,1,3000.00,'',4,RSP);      
  p_hidroelectrica_update(3,'ES',1,1,3000.00,to_timestamp('28/08/2011 11:00:00'),'',RSP);     
-- Hidroelectrica. canvi estat central no activa
  p_centralProduccio_canviEstat(3,'B',RSP);
  p_hidroelectrica_update(3,'ES',1,1,3000.00,to_timestamp('28/08/2011 11:00:00'),4,RSP);
-- (tornem a canviar l'estat)
  p_centralProduccio_canviEstat(3,'A',RSP);
-- Hidroelectrica no existeix o no s solar
  p_hidroelectrica_update(6,'ES',1,1,3000.00,to_timestamp('28/08/2011 11:00:00'),4,RSP);
-- Hidroelectrica Adrea no existeix
  p_hidroelectrica_update(3,'ES',15,1,3000.00,to_timestamp('28/08/2011 11:00:00'),4,RSP);

-- Nuclear. Modificaci incorrecte de centrals. Falten parmetres
	p_nuclear_update('','ES',1,1,8000.00,to_timestamp('25/03/2011 11:00:00'),100.00,10.00,RSP);
	p_nuclear_update(4,'',1,1,8000.00,to_timestamp('25/03/2011 11:00:00'),100.00,10.00,RSP);
	p_nuclear_update(4,'ES','',1,8000.00,to_timestamp('25/03/2011 11:00:00'),100.00,10.00,RSP);
	p_nuclear_update(4,'ES',1,'',8000.00,to_timestamp('25/03/2011 11:00:00'),100.00,10.00,RSP);
	p_nuclear_update(4,'ES',1,1,'',to_timestamp('25/03/2011 11:00:00'),100.00,10.00,RSP);
	p_nuclear_update(4,'ES',1,1,8000.00,'',100.00,10.00,RSP);
	p_nuclear_update(4,'ES',1,1,8000.00,to_timestamp('25/03/2011 11:00:00'),'',10.00,RSP);
	p_nuclear_update(4,'ES',1,1,8000.00,to_timestamp('25/03/2011 11:00:00'),100.00,'',RSP);
	
-- Nuclear.  canvi estat central no activa
  p_centralProduccio_canviEstat(4,'B',RSP);
	p_nuclear_update(4,'ES',1,1,8000.00,to_timestamp('25/03/2011 11:00:00'),100.00,10.00,RSP);
-- (tornem a canviar l'estat)
  p_centralProduccio_canviEstat(4,'A',RSP);
-- Nuclear.  no existeix o no s solar
	p_nuclear_update(2,'ES',1,1,8000.00,to_timestamp('25/03/2011 11:00:00'),100.00,10.00,RSP);
-- Nuclear. Adrea no existeix
	p_nuclear_update(4,'ES',1,15,8000.00,to_timestamp('25/03/2011 11:00:00'),100.00,10.00,RSP);

-- Termica. Modificaci incorrecte de centrals. Falten parmetres
  p_termica_update('','ES',1,1,4000.00,to_timestamp('20/08/2011 11:00:00'),300.0,RSP);
  p_termica_update(5,'',1,1,4000.00,to_timestamp('20/08/2011 11:00:00'),300.0,RSP);
  p_termica_update(5,'ES','',1,4000.00,to_timestamp('20/08/2011 11:00:00'),300.0,RSP);
  p_termica_update(5,'ES',1,'',4000.00,to_timestamp('20/08/2011 11:00:00'),300.0,RSP);
  p_termica_update(5,'ES',1,1,'',to_timestamp('20/08/2011 11:00:00'),300.0,RSP);
  p_termica_update(5,'ES',1,1,4000.00,'',300.0,RSP);
  p_termica_update(5,'ES',1,1,4000.00,to_timestamp('20/08/2011 11:00:00'),'',RSP);  
	
-- Termica.  canvi estat central no activa
  p_centralProduccio_canviEstat(5,'B',RSP);
  p_termica_update(5,'ES',1,1,4000.00,to_timestamp('20/08/2011 11:00:00'),300.0,RSP);
-- (tornem a canviar l'estat)
  p_centralProduccio_canviEstat(5,'A',RSP);
-- Termica.  no existeix o no s solar
  p_termica_update(1,'ES',1,1,4000.00,to_timestamp('20/08/2011 11:00:00'),300.0,RSP);
-- Termica. Adrea no existeix
  p_termica_update(5,'DT',1,1,4000.00,to_timestamp('20/08/2011 11:00:00'),300.0,RSP);

-- Central de producci. Canvi d'estat erroni
  p_centralProduccio_canviEstat('','B',RSP);
  p_centralProduccio_canviEstat(5,'F',RSP);
  p_centralProduccio_canviEstat(8,'B',RSP);  
  
-- #############################################################################
-- #####         GESTI DE CENTRALS. PRODUCCI D'ENERGIA                   #####
-- #############################################################################
-- Producci. Incorrecte parmetres
  p_produccio_insert('',to_timestamp('20/03/2012 11:00:00'),2000.,RSP);
  p_produccio_insert(2,'',2000.,RSP);
  p_produccio_insert(2,to_timestamp('20/03/2012 11:00:00'),'',RSP);
  
 -- Producci. Incorrecte parmetres (massa producci)
  p_produccio_insert(2,to_timestamp('20/04/2012 11:00:00'),6000.,RSP);
 -- Producci. Incorrecte duplicat
  p_produccio_insert(2,to_timestamp('20/03/2012 11:00:00'),2000.,RSP) ;
 -- Producci. Central no existeix
  p_produccio_insert(8,to_timestamp('20/03/2012 11:00:00'),2000.,RSP) ; 

-- #############################################################################
-- #####         GESTI SISTEMA DE TRANSPORT                               #####
-- #############################################################################
-- Centraleta distribuci. Modificaci incorrecte. Parmetres
  p_centraleta_update('','ES',1,1,3000.00,RSP);
  p_centraleta_update(1,'',1,1,3000.00,RSP);
  p_centraleta_update(1,'ES','',1,3000.00,RSP);
  p_centraleta_update(1,'ES',1,'',3000.00,RSP);  
  p_centraleta_update(1,'ES',1,1,'',RSP);

-- Centraleta distribuci. Modificaci incorrecte. Adrea inexistent
  p_centraleta_update(1,'GR',1,1,3000.00,RSP);

-- Centraleta distribuci. Modificaci incorrecte. No activa
  p_centraleta_update(2,'ES',1,1,2000.00,RSP);

-- Centraleta distribuci. Canvi Estat incorrecte
  p_centraleta_canviEstat('','ES',1,1,'B',RSP);
  p_centraleta_canviEstat(2,'',1,1,'B',RSP);
  p_centraleta_canviEstat(2,'ES','',1,'B',RSP);
  p_centraleta_canviEstat(2,'ES',1,'','B',RSP);
  p_centraleta_canviEstat(2,'ES',1,1,'S',RSP);  
  p_centraleta_canviEstat(15,'ES',1,1,'B',RSP);  
  
-- Linia comunicaci. Inserci incorrecte. Parmetres
  p_LiniaComunicacio_insert('',RSP);

-- Linia comunicaci. Modificaci incorrecte. Parmetres
  p_LiniaComunicacio_update('',3000.0,RSP);
  p_LiniaComunicacio_update(1,'',RSP);
-- Linia comunicaci. Modificaci incorrecte. No existeix
  p_LiniaComunicacio_update(15,3000.0,RSP);

-- Linia comunicaci. Canvi Estat incorrecte. Parmetres
  p_LiniaComunicacio_canviEstat('','B',RSP);  
  p_LiniaComunicacio_canviEstat(2,'S',RSP);
-- Linia comunicaci. Canvi Estat  incorrecte. No existeix  
  p_LiniaComunicacio_canviEstat(15,'B',RSP);

-- #############################################################################
-- #####         GESTI DE CONNEXIONS CENTRAL - CENTRALETA                 #####
-- #############################################################################
   
-- Connexi Central - Centraleta. Inserci incorrecte. Parmetres
  p_alimenta_insert('','ES',1,1,1,1,RSP);
  p_alimenta_insert(1,'',1,1,1,1,RSP);
  p_alimenta_insert(1,'ES','',1,1,1,RSP);
  p_alimenta_insert(1,'ES',1,'',1,1,RSP);
  p_alimenta_insert(1,'ES',1,1,'',1,RSP);
  p_alimenta_insert(1,'ES',1,1,1,'',RSP);
-- Connexi Central - Centraleta. Inserci incorrecte. Duplicada  
  p_alimenta_insert(1,'ES',1,1,1,1,RSP);
-- Connexi Central - Centraleta. Inserci incorrecte. Centraleta no existeix  
  p_alimenta_insert(21,'ES',1,1,1,1,RSP);
-- Connexi Central - Centraleta. Inserci incorrecte.  Central no existeix  
  p_alimenta_insert(1,'ES',1,1,14,1,RSP);
-- Connexi Central - Centraleta. Inserci incorrecte. Linia no existeix  
  p_alimenta_insert(1,'ES',1,1,1,15,RSP);
-- Connexi Central - Centraleta. Inserci incorrecte. Linia saturada
  p_alimenta_insert(3,'ES',1,1,1,1,RSP); 
-- Connexi Central - Centraleta. Inserci incorrecte. Centraleta no activa
  p_alimenta_insert(2,'ES',1,1,1,1,RSP);
-- Connexi Central - Centraleta. Inserci incorrecte. Linia no activa
  p_alimenta_insert(1,'ES',1,1,1,2,RSP);  
-- Connexi Central - Centraleta. Inserci incorrecte. Central no activa (1er desactivem central)
  p_centralproduccio_canviestat(2,'B',RSP);
  p_alimenta_insert(1,'ES',1,1,2,1,RSP);  
-- (reactivem central)
  p_centralproduccio_canviestat(2,'A',RSP);
 
-- Connexi Central - Centraleta. Delete incorrecte. No existeix la connexi
  p_alimenta_delete(10,'ES',1,1,1,2,RSP);  

-- Connexi Central - Centraleta. Delete incorrecte. Parmetres
  p_alimenta_delete('','ES',1,1,1,1,RSP);  
  p_alimenta_delete(1,'',1,1,1,1,RSP);  
  p_alimenta_delete(1,'ES','',1,1,1,RSP);  
  p_alimenta_delete(1,'ES',1,'',1,1,RSP);  
  p_alimenta_delete(1,'ES',1,1,'',1,RSP);  
  p_alimenta_delete(1,'ES',1,1,1,'',RSP);  
 
-- #############################################################################
-- #####         GESTI DE CLIENTS                                         #####
-- #############################################################################
-- Client. Inserci incorrecte. Duplicat
  p_client_insert('ES-1','Lluis Puig','ES',1,1,RSP);

-- Client. Inserci incorrecte. Parmetres
  p_client_insert('','Pere Puig','ES',1,1,RSP);  
  p_client_insert('ES-2','','ES',1,1,RSP);  
  p_client_insert('ES-2','Pere Puig','',1,1,RSP);  
  p_client_insert('ES-2','Pere Puig','ES','',1,RSP);  
  p_client_insert('ES-2','Pere Puig','ES',1,'',RSP);  

-- Client. Inserci incorrecte. Adrea no existeix
  p_client_insert('ES-2','Pere Puig','FS',1,1,RSP);  

-- Client. Modificaci incorrecte. Parmetres
  p_client_update('','Antoni Puig','ES',1,1,RSP);  
  p_client_update('ES-2','','ES',1,1,RSP);  
  p_client_update('ES-2','Antoni Puig','',1,1,RSP);  
  p_client_update('ES-2','Antoni Puig','ES','',1,RSP);  
  p_client_update('ES-2','Antoni Puig','ES',1,'',RSP);  

-- Client. Modificaci incorrecte. Adreca 
  p_client_update('ES-2','Antoni Puig','ES',1,15,RSP);  
  
-- Client. Modificaci incorrecte. Client no existeix
  p_client_update('ES-22','Antoni Puig','ES',1,1,RSP);    
  
-- Client. Canvi Estat incorrecte. Parmetres
  p_client_canviEstat('','B',RSP);
  p_client_canviEstat('ES-2','G',RSP);
-- Client. Canvi Estat incorrecte. No existeix  
  p_client_canviEstat('ES-15','B',RSP);
  
-- #############################################################################
-- #####         GESTI DE COMPTADORS                                      #####
-- #############################################################################
-- Comptador. Inserci incorrecte. Parmetres
  p_comptador_insert('','STN13M','CR',to_timestamp('01/07/2010 11:00:00'),'ES',1,1,'ES-1',RSP);
  p_comptador_insert(10.0,'','CR',to_timestamp('01/07/2010 11:00:00'),'ES',1,1,'ES-1',RSP);
  p_comptador_insert(10.0,'STN13M','',to_timestamp('01/07/2010 11:00:00'),'ES',1,1,'ES-1',RSP);
  p_comptador_insert(10.0,'STN13M','CR','','ES',1,1,'ES-1',RSP);
  p_comptador_insert(10.0,'STN13M','CR',to_timestamp('01/07/2010 11:00:00'),'',1,1,'ES-1',RSP);
  p_comptador_insert(10.0,'STN13M','CR',to_timestamp('01/07/2010 11:00:00'),'ES','',1,'ES-1',RSP);
  p_comptador_insert(10.0,'STN13M','CR',to_timestamp('01/07/2010 11:00:00'),'ES',1,'','ES-1',RSP);
  p_comptador_insert(10.0,'STN13M','CR',to_timestamp('01/07/2010 11:00:00'),'ES',1,1,'',RSP);

-- Comptador. Inserci incorrecte. Adrea inexistente  
  p_comptador_insert(10.0,'STN13M','CR',to_timestamp('01/07/2010 11:00:00'),'ES',1,15,'ES-1',RSP);
-- Comptador. Inserci incorrecte. Client no existeix  
  p_comptador_insert(10.0,'STN13M','CR',to_timestamp('01/07/2010 11:00:00'),'ES',1,1,'IT-1',RSP);
 
-- Comptador. Modificaci incorrecte. Parmetres
  p_comptador_update('',30.0,'STN13','CsR',to_timestamp('01/08/2011 11:00:00'),'ES',1,1,'ES-1',RSP);
  p_comptador_update(2,'','STN13','CsR',to_timestamp('01/08/2011 11:00:00'),'ES',1,1,'ES-1',RSP);
  p_comptador_update(2,30.0,'','CsR',to_timestamp('01/08/2011 11:00:00'),'ES',1,1,'ES-1',RSP);
  p_comptador_update(2,30.0,'STN13','',to_timestamp('01/08/2011 11:00:00'),'ES',1,1,'ES-1',RSP);
  p_comptador_update(2,30.0,'STN13','CsR','','ES',1,1,'ES-1',RSP);
  p_comptador_update(2,30.0,'STN13','CsR',to_timestamp('01/08/2011 11:00:00'),'',1,1,'ES-1',RSP);
  p_comptador_update(2,30.0,'STN13','CsR',to_timestamp('01/08/2011 11:00:00'),'ES','',1,'ES-1',RSP);
  p_comptador_update(2,30.0,'STN13','CsR',to_timestamp('01/08/2011 11:00:00'),'ES',1,'','',RSP);
  
-- Comptador. Modificaci incorrecte. Comtpador no existeix
  p_comptador_update(25,30.0,'STN13','CsR',to_timestamp('01/08/2011 11:00:00'),'ES',1,1,'ES-1',RSP);
-- Comptador. Modificaci incorrecte. Adrea no existeix  
  p_comptador_update(2,30.0,'STN13','CsR',to_timestamp('01/08/2011 11:00:00'),'GD',1,1,'ES-1',RSP);
-- Comptador. Modificaci incorrecte. Client no existeix
  p_comptador_update(2,30.0,'STN13','CsR',to_timestamp('01/08/2011 11:00:00'),'ES',1,1,'GD-1',RSP);
-- Comptador. Modificaci incorrecte. Comptador no actiu (primer el desactivem, desprs el reactivem
  p_comptador_canviEstat(2,'B',RSP);
  p_comptador_update(2,30.0,'STN13','CsR',to_timestamp('01/08/2011 11:00:00'),'ES',1,1,'ES-1',RSP);  
  p_comptador_canviEstat(2,'A',RSP);
-- Comptador. CanviEstat incorrecte. Parmetres
  p_comptador_canviEstat('','B',RSP);
  p_comptador_canviEstat(2,'f',RSP);
-- Comptador. CanviEstat incorrecte. No existeix
  p_comptador_canviEstat(23,'B',RSP);  

-- #############################################################################
-- #####         GESTI DE CONNEXIONS CENTRALETA - COMPTADOR               #####
-- #############################################################################

-- Connexi Centraleta - Comptador. Inserci incorrecte. Parmetres
  p_Connecta_insert('',1,'ES',1,1,3,RSP);
  p_Connecta_insert(1,'','ES',1,1,3,RSP);
  p_Connecta_insert(1,1,'',1,1,3,RSP);
  p_Connecta_insert(1,1,'ES','',1,3,RSP);  
  p_Connecta_insert(1,1,'ES',1,'','',RSP);
-- Connexi Centraleta - Comptador. Inserci incorrecte. Comptador no existeix  
  p_Connecta_insert(10,1,'ES',1,1,3,RSP);
-- Connexi Centraleta - Comptador. Inserci incorrecte. Centraleta no existeix   
  p_Connecta_insert(1,10,'ES',1,1,3,RSP);  
-- Connexi Centraleta - Comptador. Inserci incorrecte. Linia no existeix   
  p_Connecta_insert(1,1,'ES',1,1,43,RSP);  
-- Connexi Centraleta - Comptador. Inserci incorrecte. Centraleta no activa 
  p_Connecta_insert(1,2,'ES',1,1,3,RSP);
-- Connexi Centraleta - Comptador. Inserci incorrecte. Comtpador no actiu
  p_Connecta_insert(3,1,'ES',1,1,3,RSP);  
-- Connexi Centraleta - Comptador. Inserci incorrecte. Linia no activa
  p_Connecta_insert(1,1,'ES',1,1,2,RSP);  
-- Connexi Centraleta - Comptador. Inserci incorrecte. Linia o centraleta saturada
  p_Connecta_insert(2,1,'ES',1,1,3,RSP);

-- #############################################################################
-- #####         GESTI COMPTADORS. CONSUMS                                #####
-- #############################################################################
-- Consum Presencial. Inserci incorrecte. Parmetres
  p_consumP_insert('',to_timestamp('25/04/2012 11:00:00'),42.,RSP);
  p_consumP_insert(1,'',42.,RSP);
  p_consumP_insert(1,to_timestamp('25/04/2012 11:00:00'),'',RSP);
-- Consum Presencial. Inserci incorrecte. Comptador incorrecte  
  p_consumP_insert(20,to_timestamp('25/04/2012 11:00:00'),5.,RSP);
-- Consum Presencial. Inserci incorrecte. Duplicat 
  p_consumP_insert(1,to_timestamp('25/04/2012 11:00:00'),7.,RSP);
-- Consum Presencial. Inserci incorrecte. Consum exagerat
  p_consumP_insert(1,to_timestamp('25/03/2012 11:00:00'),52.,RSP);  
-- Consum Presencial. Inserci incorrecte. Comptador de baixa
  p_consumP_insert(3,to_timestamp('25/03/2012 11:00:00'),5.,RSP);  
-- Consum Presencial. Inserci incorrecte. Comptador no connectat
  p_consumP_insert(2,to_timestamp('25/03/2012 11:00:00'),5.,RSP);    
-- Un cop ha consumit donem de baixa la connexi (no es pot fer)
  p_Connecta_delete(1,1,'ES',1,1,3,RSP);
  
-- Consum Telemtic. Inserci incorrecte. Parmetres  
  p_consumT_insert('',13.,RSP);
  p_consumT_insert(1,'',RSP);
 
-- Consum Telemtic. Inserci incorrecte. Duplicat    
  p_consumT_insert(1,8.,RSP);
-- Consum Telemtic. Inserci incorrecte. Comptador de baixa (confirmem 1er la baixa)
  p_comptador_canviEstat(3,'B',RSP);
  p_consumT_insert(3,2.,RSP);    
-- (el reactivem)
  p_comptador_canviEstat(3,'A',RSP);
-- Consum Telemtic. Inserci incorrecte. Massa consum
  p_consumT_insert(3,50,RSP);

END;
/


select * from logs order by idlog;
