------ ENTRADA DE DADES ------ CPM

set serveroutput on;
-- NETEGEM EL CONTINGUT DE LES TAULES I SEQNCIES
DROP SEQUENCE seq_logs;
DROP SEQUENCE seq_localitat;
DROP SEQUENCE seq_adreca;
DROP SEQUENCE seq_central;
DROP SEQUENCE seq_linies;
DROP SEQUENCE seq_comptador;
CREATE SEQUENCE seq_logs INCREMENT BY 1 START WITH 1;
CREATE SEQUENCE seq_localitat INCREMENT BY 1 START WITH 1;
CREATE SEQUENCE seq_adreca INCREMENT BY 1 START WITH 1;
CREATE SEQUENCE seq_central INCREMENT BY 1 START WITH 1;
CREATE SEQUENCE seq_linies INCREMENT BY 1 START WITH 1;
CREATE SEQUENCE seq_comptador INCREMENT BY 1 START WITH 1;

delete from e1;
delete from e2;
delete from e3;
delete from e4;
delete from logs;
delete from consum;
delete from produccio;
delete from connecta;
delete from alimenta;
delete from liniesComunicacio;
delete from comptador;
delete from solar;
delete from eolica;
delete from hidroelectrica;
delete from termica;
delete from nuclear;
delete from centralProduccio;
delete from centraletaDistribucio;
delete from client;
delete from Adreca;
delete from Localitat;
delete from Pais;

-- #########################################################################
-- #####      INSERCI DE PASOS (4)                                   #####
-- #########################################################################
DECLARE
	RSP		VARCHAR2(100);
BEGIN
	RSP:= 'OK';
	p_pais_insert('ES','Espanya',RSP);  
  p_pais_insert('IT','Itlia',RSP);
	p_pais_insert('DE','Alemanya',RSP);
  p_pais_insert('FR','Frana',RSP);
  
END;
/

-- #########################################################################
-- #####      INSERCI DE LOCALITATS (8)                               #####
-- #########################################################################
-- TAULA Localitat --------------------------
DECLARE
	RSP		VARCHAR2(100);
BEGIN
	RSP:= 'OK';
	-- Espanya del 1 al 2
	p_localitat_insert('ES','Barcelona',RSP);
	p_localitat_insert('ES','Tarragona',RSP);
	-- Itlia del 3 al 4
	p_localitat_insert('IT','Roma',RSP);
	p_localitat_insert('IT','Mil',RSP);
	-- Alemanya del 5 al 6
	p_localitat_insert('DE','Berlin',RSP);
	p_localitat_insert('DE','Munic',RSP);
	-- Portugal del 7 al 8
  p_localitat_insert('FR','Paris',RSP);	
  p_localitat_insert('FR','Lyo',RSP);	
END;
/
-- #########################################################################
-- #####      INSERCI D'ADRECES (26)                                  #####
-- #########################################################################
DECLARE
	RSP		VARCHAR2(100);
BEGIN
	RSP:= 'OK';
	-- Barcelona del 1 al 4
	p_adreca_insert('ES',1,'08001','Rambla Catalunya',1,'',1,1,RSP);
  p_adreca_insert('ES',1,'08002','Diagonal',105,'A',2,3,RSP);
  p_adreca_insert('ES',1,'08003','Rossell',305,'',3,2,RSP);
	p_adreca_insert('ES',1,'08004','Industria',103,'',4,1,RSP);
	-- Tarragona del 5 al 8
	p_adreca_insert('ES',2,'43001','Rambla nova',1,'',1,1,RSP);
  p_adreca_insert('ES',2,'43002','Santa Tecla',15,'A',2,3,RSP);
  p_adreca_insert('ES',2,'43003','Reus',305,'',3,2,RSP);
	p_adreca_insert('ES',2,'43004','Principal',103,'',3,2,RSP); 
	-- Roma del 9 al 12
  p_adreca_insert('IT',3,'00199','Citta del Vaticano',1,'',1,1,RSP);
  p_adreca_insert('IT',3,'00199','Coliseum',1,'',1,1,RSP);
  p_adreca_insert('IT',3,'00199','Sant Angelo',35,'',3,2,RSP);
  p_adreca_insert('IT',3,'00199','Domus',103,'',3,2,RSP);   
	-- Mil del 13 al 16
  p_adreca_insert('IT',4,'00200','Lignano',1,'',1,1,RSP);
  p_adreca_insert('IT',4,'00200','Rho',1,'',1,1,RSP);
  p_adreca_insert('IT',4,'00200','Ronazzo',35,'',3,2,RSP);
  p_adreca_insert('IT',4,'00200','Lainate',103,'',3,2,RSP);     
  -- Berlin del 17 al 20
  p_adreca_insert('DE',5,'00420','Brandenbourg',1,'',1,1,RSP);
  p_adreca_insert('DE',5,'00420','Reichstag',1,'',1,1,RSP);
  p_adreca_insert('DE',5,'00420','Siegessule',35,'',3,2,RSP);
  p_adreca_insert('DE',5,'00420','Potsdamer Platz',103,'',3,2,RSP);    
  -- Munic del 21 al 22
  p_adreca_insert('DE',6,'00410','Nationaltheater',1,'',1,1,RSP);
  p_adreca_insert('DE',6,'00410','Volkstheater',1,'',1,1,RSP);
  -- Paris del 23 al 24
  p_adreca_insert('FR',7,'00330','Louvre',1,'',1,1,RSP);
  p_adreca_insert('FR',7,'00330','Parcs Elysis',1,'',1,1,RSP);
  -- Lyo del 25 al 26
  p_adreca_insert('FR',8,'00330','Franciscans',1,'',1,1,RSP);
  p_adreca_insert('FR',8,'00330','Catedral',1,'',1,1,RSP);
END;
/

-- #########################################################################
-- #####      INSERCI DE CENTRALS DE PRODUCCI (4)                    #####
-- #########################################################################
DECLARE
	RSP		VARCHAR2(100);
BEGIN
	RSP:= 'OK';
	-- Espanya (ES-1-1)
  p_solar_insert('ES',1,1,4000.00,300,RSP);
	-- Itlia (IT-3-9)
  p_eolica_insert('IT',3,9,3500.00,100,RSP);
  -- Alemanya (DE-5-17)
  p_hidroelectrica_insert('DE',5,17,3200.00,4,RSP);
  -- Frana (FR-7-23)
  p_nuclear_insert('FR',7,23,5500.00,100.00,10.00,RSP);
END;
/

-- #########################################################################
-- #####      INSERCI DE CENTRALETES DISTRIBUCI (8)                  #####
-- #########################################################################
DECLARE
  RSP VARCHAR2(100);
BEGIN
  RSP := 'OK';
  -- (ES-1-2)
  p_centraleta_insert(1,'ES',1,2,500.00,RSP);
  -- (ES-2-5)
  p_centraleta_insert(1,'ES',2,5,500.00,RSP);
  -- (IT-3-10)
  p_centraleta_insert(1,'IT',3,10,500.00,RSP);
  -- (IT-4-13)
  p_centraleta_insert(1,'IT',4,13,500.00,RSP);
  -- (DE-5-18)
  p_centraleta_insert(1,'DE',5,18,500.00,RSP);
  -- (DE-5-18)
  p_centraleta_insert(2,'DE',5,18,500.00,RSP);
  -- (FR-7-24)
  p_centraleta_insert(1,'FR',7,24,500.00,RSP);
  -- (FR-7-24)
  p_centraleta_insert(2,'FR',7,24,500.00,RSP);
END;
/


-- #########################################################################
-- #####      INSERCI DE CLIENTS (8)                                  #####
-- #########################################################################
DECLARE
  RSP VARCHAR2(100);
BEGIN
  RSP:='OK';
  -- ES-1-3
  p_client_insert('ES-1','Pasqual Maragall','ES',1,3,RSP);
  -- ES-2-6
  p_client_insert('ES-2','Jordi Pujol','ES',2,6,RSP);
  -- IT-3-11
  p_client_insert('IT-1','Silvio Berlusconi','IT',3,11,RSP);
  -- IT-4-14
  p_client_insert('IT-2','Romano Prodi','IT',4,14,RSP);
  -- DE-5-19
  p_client_insert('DE-1','Helmut Kohl','DE',5,19,RSP);
  -- DE-6-21
  p_client_insert('DE-2','Angela Merkel','DE',6,21,RSP);
  -- DE-8-25
  p_client_insert('FR-1','Franois Hollande','FR',8,25,RSP);
  -- DE-8-26
  p_client_insert('FR-2','Nicolas Sarcozy','FR',8,26,RSP);

END;
/

-- #########################################################################
-- #####      INSERCI DE COMPTADORS (16)                              #####
-- #########################################################################
DECLARE
  RSP VARCHAR2(100);
BEGIN
  RSP:='OK';
  -- ES-1-3 
  p_comptador_insert(100.0,'MODEL 1','CR1',to_timestamp('01/07/2000 11:00:00'),'ES',1,3,'ES-1',RSP);
  -- ES-1-4 
  p_comptador_insert(150.0,'MODEL 2','CR2',to_timestamp('01/07/2001 11:00:00'),'ES',1,4,'ES-1',RSP);
  -- ES-2-6 
  p_comptador_insert(150.0,'MODEL 3','CR3',to_timestamp('01/07/2000 11:00:00'),'ES',2,6,'ES-2',RSP);
  -- ES-2-7 
  p_comptador_insert(75.0,'MODEL 4','CR4',to_timestamp('01/07/2001 11:00:00'),'ES',2,7,'ES-2',RSP);
  -- ES-2-8 
  p_comptador_insert(125.0,'MODEL 1','CR1',to_timestamp('01/07/2000 11:00:00'),'ES',2,8,'DE-1',RSP);
  -- IT-3-11
  p_comptador_insert(100.0,'MODEL 2','CR2',to_timestamp('01/08/2001 11:00:00'),'IT',3,11,'IT-1',RSP);
  -- IT-3-12
  p_comptador_insert(100.0,'MODEL 3','CR3',to_timestamp('01/08/2000 11:00:00'),'IT',3,12,'IT-2',RSP);
  -- IT-4-14
  p_comptador_insert(100.0,'MODEL 4','CR4',to_timestamp('01/08/2001 11:00:00'),'IT',4,14,'IT-2',RSP);
  -- IT-4-15
  p_comptador_insert(200.0,'MODEL 1','CR1',to_timestamp('01/08/2000 11:00:00'),'IT',4,15,'DE-2',RSP);
  -- IT-4-16
  p_comptador_insert(75.0,'MODEL 2','CR2',to_timestamp('01/08/2001 11:00:00'),'IT',4,16,'FR-1',RSP);
  -- DE-5-19
  p_comptador_insert(100.0,'MODEL 3','CR3',to_timestamp('01/08/2000 11:00:00'),'DE',5,19,'DE-1',RSP);
  -- DE-5-20
  p_comptador_insert(100.0,'MODEL 4','CR4',to_timestamp('01/08/2001 11:00:00'),'DE',5,20,'DE-1',RSP);
  -- DE-6-21
  p_comptador_insert(100.0,'MODEL 1','CR1',to_timestamp('01/08/2000 11:00:00'),'DE',6,21,'DE-2',RSP);
  -- DE-6-22
  p_comptador_insert(100.0,'MODEL 2','CR2',to_timestamp('01/08/2001 11:00:00'),'DE',6,22,'DE-1',RSP);
  -- FR-8-25
  p_comptador_insert(150.0,'MODEL 3','CR3',to_timestamp('01/08/2000 11:00:00'),'FR',8,25,'FR-1',RSP);
  -- DE-8-26
  p_comptador_insert(150.0,'MODEL 4','CR4',to_timestamp('01/08/2001 11:00:00'),'FR',8,26,'FR-2',RSP);  
  
END;
/

-- #########################################################################
-- #####      INSERCI DE LINIES COMUNICACI (12)                      #####
-- #########################################################################
DECLARE
  RSP VARCHAR2(100);
BEGIN
  RSP:='OK';
  p_LiniaComunicacio_insert(2000.0,RSP); 
  p_LiniaComunicacio_insert(2000.0,RSP); 
  p_LiniaComunicacio_insert(2000.0,RSP); 
  p_LiniaComunicacio_insert(2000.0,RSP); 
  p_LiniaComunicacio_insert(500.0,RSP);
  p_LiniaComunicacio_insert(500.0,RSP);
  p_LiniaComunicacio_insert(500.0,RSP);
  p_LiniaComunicacio_insert(500.0,RSP);
  p_LiniaComunicacio_insert(500.0,RSP);
  p_LiniaComunicacio_insert(500.0,RSP);
  p_LiniaComunicacio_insert(500.0,RSP);
  p_LiniaComunicacio_insert(500.0,RSP);    

END;
/

-- #########################################################################
-- #####      INSERCI DE CONNEXIONS CP-CD (12)                        #####
-- ######################################################################### 
-- TAULA produccio --------------------------------
DECLARE
  RSP VARCHAR2(100);
BEGIN
  RSP:= 'OK';
  -- CENTRAL 1 -> centraletes 1, 2  amb linia 1
  p_alimenta_insert(1,'ES',1,2,1,1,RSP);
  p_alimenta_insert(1,'ES',2,5,1,1,RSP);
  -- CENTRAL 2 -> centraletes 2, 3, 4 amb linia 2
  p_alimenta_insert(1,'ES',2,5,2,2,RSP);
  p_alimenta_insert(1,'IT',3,10,2,2,RSP);
  p_alimenta_insert(1,'IT',4,13,2,2,RSP);

  -- CENTRAL 3 -> centraletes 4, 5, 6 amb linia 3
  p_alimenta_insert(1,'IT',4,13,3,3,RSP);
  p_alimenta_insert(1,'DE',5,18,3,3,RSP);
  p_alimenta_insert(2,'DE',5,18,3,3,RSP);

  -- CENTRAL 4 -> centraletes 6, 7, 8, 1 amb linia 4
  p_alimenta_insert(2,'DE',5,18,4,4,RSP);
  p_alimenta_insert(1,'FR',7,24,4,4,RSP);
  p_alimenta_insert(2,'FR',7,24,4,4,RSP);
  p_alimenta_insert(1,'ES',1,2,4,4,RSP);

END;
/



-- #########################################################################
-- #####      INSERCI DE CONNEXIONS CD-C  (28)                        #####
-- #########################################################################
DECLARE
  RSP VARCHAR2(100);
BEGIN
  RSP:= 'OK';

-- Comptadors 1, 2 i 3, 4. CD - 1. LC 5
  p_Connecta_insert(1,1,'ES',1,2,5,RSP);
  p_Connecta_insert(2,1,'ES',1,2,5,RSP);
  p_Connecta_insert(3,1,'ES',1,2,5,RSP);
  p_Connecta_insert(4,1,'ES',1,2,5,RSP);

-- Comptadors 3, 4, 5 i 6. CD - 2. LC 6
  p_Connecta_insert(3,1,'ES',2,5,6,RSP);
  p_Connecta_insert(4,1,'ES',2,5,6,RSP);
  p_Connecta_insert(5,1,'ES',2,5,6,RSP);
  p_Connecta_insert(6,1,'ES',2,5,6,RSP);

-- Comptadors 5, 6, 7, 8. CD - 3. LC 7
  p_Connecta_insert(5,1,'IT',3,10,7,RSP);
  p_Connecta_insert(6,1,'IT',3,10,7,RSP);
  p_Connecta_insert(7,1,'IT',3,10,7,RSP);
  p_Connecta_insert(8,1,'IT',3,10,7,RSP);
  
-- Comptadors 8 i 9. CD - 4. LC 8
  p_Connecta_insert(8,1,'IT',4,13,8,RSP);
  p_Connecta_insert(9,1,'IT',4,13,8,RSP);  

-- Comptadors 9, 10, 11 i 12. CD - 5. LC 9
  p_Connecta_insert(9,1,'DE',5,18,9,RSP);
  p_Connecta_insert(10,1,'DE',5,18,9,RSP);
  p_Connecta_insert(11,1,'DE',5,18,9,RSP);
  p_Connecta_insert(12,1,'DE',5,18,9,RSP);

-- Comptadors 11, 12, 13 i 14. CD - 6. LC 10
  p_Connecta_insert(11,2,'DE',5,18,10,RSP);
  p_Connecta_insert(12,2,'DE',5,18,10,RSP);
  p_Connecta_insert(13,2,'DE',5,18,10,RSP);
  p_Connecta_insert(14,2,'DE',5,18,10,RSP);

  
-- Comptadors 13, 14 i 15. CD - 7. LC 11
  p_Connecta_insert(13,1,'FR',7,24,11,RSP);
  p_Connecta_insert(14,1,'FR',7,24,11,RSP);
  p_Connecta_insert(15,1,'FR',7,24,11,RSP);

-- Comptadors 15,16,1. CD - 7. LC 12
  p_Connecta_insert(15,2,'FR',7,24,12,RSP);
  p_Connecta_insert(16,2,'FR',7,24,12,RSP);
  p_Connecta_insert(1,2,'FR',7,24,12,RSP);
  
END;
/


-- #########################################################################
-- #####      INSERCI DE PRODUCCI DE LES CENTRALS                    #####
-- #########################################################################
DECLARE
  RSP VARCHAR2(100);
BEGIN
  RSP:='OK';
  -- CENTRAL 1 - 2011 = 16700
  p_produccio_insert(1,to_timestamp('1/1/2011 11:00:00'),1500.,RSP);
  p_produccio_insert(1,to_timestamp('1/2/2011 11:00:00'),1200.,RSP);
  p_produccio_insert(1,to_timestamp('1/3/2011 11:00:00'),1300.,RSP);
  p_produccio_insert(1,to_timestamp('1/4/2011 11:00:00'),1200.,RSP);
  p_produccio_insert(1,to_timestamp('1/5/2011 11:00:00'),1400.,RSP);
  p_produccio_insert(1,to_timestamp('1/6/2011 11:00:00'),1300.,RSP);
  p_produccio_insert(1,to_timestamp('1/7/2011 11:00:00'),1600.,RSP);
  p_produccio_insert(1,to_timestamp('1/8/2011 11:00:00'),1700.,RSP);
  p_produccio_insert(1,to_timestamp('1/9/2011 11:00:00'),1900.,RSP);
  p_produccio_insert(1,to_timestamp('1/10/2011 11:00:00'),1100.,RSP);
  p_produccio_insert(1,to_timestamp('1/11/2011 11:00:00'),1200.,RSP);
  p_produccio_insert(1,to_timestamp('1/12/2011 11:00:00'),1300.,RSP);
  -- CENTRAL 1 - 2012 = 6000
  p_produccio_insert(1,to_timestamp('1/1/2012 11:00:00'),1000.,RSP);
  p_produccio_insert(1,to_timestamp('1/2/2012 11:00:00'),1100.,RSP);
  p_produccio_insert(1,to_timestamp('1/3/2012 11:00:00'),1200.,RSP);
  p_produccio_insert(1,to_timestamp('1/4/2012 11:00:00'),1300.,RSP);
  p_produccio_insert(1,to_timestamp('1/5/2012 11:00:00'),1400.,RSP);
  
  -- CENTRAL 2 - 2011 = 9100
  p_produccio_insert(2,to_timestamp('1/1/2011 11:00:00'),1100.,RSP);
  p_produccio_insert(2,to_timestamp('1/2/2011 11:00:00'),1200.,RSP);
  p_produccio_insert(2,to_timestamp('1/3/2011 11:00:00'),1100.,RSP);
  p_produccio_insert(2,to_timestamp('1/4/2011 11:00:00'),200.,RSP);
  p_produccio_insert(2,to_timestamp('1/5/2011 11:00:00'),400.,RSP);
  p_produccio_insert(2,to_timestamp('1/6/2011 11:00:00'),300.,RSP);

  p_produccio_insert(2,to_timestamp('1/9/2011 11:00:00'),1500.,RSP);
  p_produccio_insert(2,to_timestamp('1/10/2011 11:00:00'),1000.,RSP);
  p_produccio_insert(2,to_timestamp('1/11/2011 11:00:00'),1000.,RSP);
  p_produccio_insert(2,to_timestamp('1/12/2011 11:00:00'),1300.,RSP);
  -- CENTRAL 2 - 2012 = 5500
  p_produccio_insert(2,to_timestamp('1/1/2012 11:00:00'),1100.,RSP);
  p_produccio_insert(2,to_timestamp('1/2/2012 11:00:00'),1100.,RSP);
  p_produccio_insert(2,to_timestamp('1/3/2012 11:00:00'),1100.,RSP);
  p_produccio_insert(2,to_timestamp('1/4/2012 11:00:00'),1100.,RSP);
  p_produccio_insert(2,to_timestamp('1/5/2012 11:00:00'),1100.,RSP);

  -- CENTRAL 3 - 2011 = 4600
  p_produccio_insert(3,to_timestamp('1/1/2011 11:00:00'),800.,RSP);
  p_produccio_insert(3,to_timestamp('1/2/2011 11:00:00'),900.,RSP);
  p_produccio_insert(3,to_timestamp('1/3/2011 11:00:00'),100.,RSP);
  p_produccio_insert(3,to_timestamp('1/4/2011 11:00:00'),200.,RSP);
  p_produccio_insert(3,to_timestamp('1/5/2011 11:00:00'),400.,RSP);
  p_produccio_insert(3,to_timestamp('1/6/2011 11:00:00'),300.,RSP);
  p_produccio_insert(3,to_timestamp('1/7/2011 11:00:00'),400.,RSP);
  p_produccio_insert(3,to_timestamp('1/8/2011 11:00:00'),500.,RSP);
  p_produccio_insert(3,to_timestamp('1/9/2011 11:00:00'),500.,RSP);
  p_produccio_insert(3,to_timestamp('1/10/2011 11:00:00'),100.,RSP);
  p_produccio_insert(3,to_timestamp('1/11/2011 11:00:00'),100.,RSP);
  p_produccio_insert(3,to_timestamp('1/12/2011 11:00:00'),300.,RSP);
  -- CENTRAL 3 - 2012 = 2500
  p_produccio_insert(3,to_timestamp('1/1/2012 11:00:00'),300.,RSP);
  p_produccio_insert(3,to_timestamp('1/2/2012 11:00:00'),400.,RSP);
  p_produccio_insert(3,to_timestamp('1/3/2012 11:00:00'),500.,RSP);
  p_produccio_insert(3,to_timestamp('1/4/2012 11:00:00'),600.,RSP);
  p_produccio_insert(3,to_timestamp('1/5/2012 11:00:00'),700.,RSP);

  -- CENTRAL 4 - 2011 = 18000
  p_produccio_insert(4,to_timestamp('1/1/2011 11:00:00'),1500.,RSP);
  p_produccio_insert(4,to_timestamp('1/2/2011 11:00:00'),1500.,RSP);
  p_produccio_insert(4,to_timestamp('1/3/2011 11:00:00'),1500.,RSP);
  p_produccio_insert(4,to_timestamp('1/4/2011 11:00:00'),1500.,RSP);
  p_produccio_insert(4,to_timestamp('1/5/2011 11:00:00'),1500.,RSP);
  p_produccio_insert(4,to_timestamp('1/6/2011 11:00:00'),1500.,RSP);
  p_produccio_insert(4,to_timestamp('1/7/2011 11:00:00'),1500.,RSP);
  p_produccio_insert(4,to_timestamp('1/8/2011 11:00:00'),1500.,RSP);
  p_produccio_insert(4,to_timestamp('1/9/2011 11:00:00'),1500.,RSP);
  p_produccio_insert(4,to_timestamp('1/10/2011 11:00:00'),1500.,RSP);
  p_produccio_insert(4,to_timestamp('1/11/2011 11:00:00'),1500.,RSP);
  p_produccio_insert(4,to_timestamp('1/12/2011 11:00:00'),1500.,RSP);
  -- CENTRAL 4 - 2012 = 7500
  p_produccio_insert(4,to_timestamp('1/1/2012 11:00:00'),1500.,RSP);
  p_produccio_insert(4,to_timestamp('1/2/2012 11:00:00'),1500.,RSP);
  p_produccio_insert(4,to_timestamp('1/3/2012 11:00:00'),1500.,RSP);
  p_produccio_insert(4,to_timestamp('1/4/2012 11:00:00'),1500.,RSP);
  p_produccio_insert(4,to_timestamp('1/5/2012 11:00:00'),1500.,RSP);

END;
/

-- #########################################################################
-- #####      INSERCI DE CONSUMS DELS COMPTADORS                     #####
-- #########################################################################
DECLARE
  RSP VARCHAR2(100);
BEGIN
  RSP:='OK';
  -- tot els consums sn presencials, excepte l'ltim que s telemtic
  
  -- COMPTADOR 1 - 2011 = 1090
  p_consumP_insert(1,to_timestamp('25/01/2011 11:00:00'),95.,RSP);
  p_consumP_insert(1,to_timestamp('25/02/2011 11:00:00'),100.,RSP);
  p_consumP_insert(1,to_timestamp('25/03/2011 11:00:00'),90.,RSP);
  p_consumP_insert(1,to_timestamp('25/04/2011 11:00:00'),85.,RSP);
  p_consumP_insert(1,to_timestamp('25/05/2011 11:00:00'),90.,RSP);
  p_consumP_insert(1,to_timestamp('25/06/2011 11:00:00'),95.,RSP);
  p_consumP_insert(1,to_timestamp('25/07/2011 11:00:00'),100.,RSP);
  p_consumP_insert(1,to_timestamp('25/08/2011 11:00:00'),95.,RSP);
  p_consumP_insert(1,to_timestamp('25/09/2011 11:00:00'),90.,RSP);
  p_consumP_insert(1,to_timestamp('25/10/2011 11:00:00'),85.,RSP);
  p_consumP_insert(1,to_timestamp('25/11/2011 11:00:00'),80.,RSP);
  p_consumP_insert(1,to_timestamp('25/12/2011 11:00:00'),85.,RSP);

  -- COMPTADOR 1 - 2012 = 480
  p_consumP_insert(1,to_timestamp('25/01/2012 11:00:00'),95.,RSP);
  p_consumP_insert(1,to_timestamp('25/02/2012 11:00:00'),95.,RSP);
  p_consumP_insert(1,to_timestamp('25/03/2012 11:00:00'),95.,RSP);
  p_consumP_insert(1,to_timestamp('25/04/2012 11:00:00'),95.,RSP);
  p_consumT_insert(1,100.,RSP);
  
  -- COMPTADOR 2 - 2011 = 1470
  p_consumP_insert(2,to_timestamp('25/01/2011 11:00:00'),125.,RSP);
  p_consumP_insert(2,to_timestamp('25/02/2011 11:00:00'),120.,RSP);
  p_consumP_insert(2,to_timestamp('25/03/2011 11:00:00'),125.,RSP);
  p_consumP_insert(2,to_timestamp('25/04/2011 11:00:00'),120.,RSP);
  p_consumP_insert(2,to_timestamp('25/05/2011 11:00:00'),125.,RSP);
  p_consumP_insert(2,to_timestamp('25/06/2011 11:00:00'),120.,RSP);
  p_consumP_insert(2,to_timestamp('25/07/2011 11:00:00'),125.,RSP);
  p_consumP_insert(2,to_timestamp('25/08/2011 11:00:00'),120.,RSP);
  p_consumP_insert(2,to_timestamp('25/09/2011 11:00:00'),125.,RSP);
  p_consumP_insert(2,to_timestamp('25/10/2011 11:00:00'),120.,RSP);
  p_consumP_insert(2,to_timestamp('25/11/2011 11:00:00'),125.,RSP);
  p_consumP_insert(2,to_timestamp('25/12/2011 11:00:00'),120.,RSP);

  -- COMPTADOR 2 - 2012 = 500
  p_consumP_insert(2,to_timestamp('25/01/2012 11:00:00'),100.,RSP);
  p_consumP_insert(2,to_timestamp('25/02/2012 11:00:00'),100.,RSP);
  p_consumP_insert(2,to_timestamp('25/03/2012 11:00:00'),100.,RSP);
  p_consumP_insert(2,to_timestamp('25/04/2012 11:00:00'),100.,RSP);
  p_consumT_insert(2,100.,RSP);  

  -- COMPTADOR 3 - 2011 = 1590
  p_consumP_insert(3,to_timestamp('25/01/2011 11:00:00'),135.,RSP);
  p_consumP_insert(3,to_timestamp('25/02/2011 11:00:00'),130.,RSP);
  p_consumP_insert(3,to_timestamp('25/03/2011 11:00:00'),135.,RSP);
  p_consumP_insert(3,to_timestamp('25/04/2011 11:00:00'),130.,RSP);
  p_consumP_insert(3,to_timestamp('25/05/2011 11:00:00'),135.,RSP);
  p_consumP_insert(3,to_timestamp('25/06/2011 11:00:00'),130.,RSP);
  p_consumP_insert(3,to_timestamp('25/07/2011 11:00:00'),135.,RSP);
  p_consumP_insert(3,to_timestamp('25/08/2011 11:00:00'),130.,RSP);
  p_consumP_insert(3,to_timestamp('25/09/2011 11:00:00'),135.,RSP);
  p_consumP_insert(3,to_timestamp('25/10/2011 11:00:00'),130.,RSP);
  p_consumP_insert(3,to_timestamp('25/11/2011 11:00:00'),135.,RSP);
  p_consumP_insert(3,to_timestamp('25/12/2011 11:00:00'),130.,RSP);

  -- COMPTADOR 3 - 2012 = 750
  p_consumP_insert(3,to_timestamp('25/01/2012 11:00:00'),150.,RSP);
  p_consumP_insert(3,to_timestamp('25/02/2012 11:00:00'),150.,RSP);
  p_consumP_insert(3,to_timestamp('25/03/2012 11:00:00'),150.,RSP);
  p_consumP_insert(3,to_timestamp('25/04/2012 11:00:00'),150.,RSP);
  p_consumT_insert(3,150.,RSP);    

  -- COMPTADOR 4 - 2011 = 390
  p_consumP_insert(4,to_timestamp('25/01/2011 11:00:00'),35.,RSP);
  p_consumP_insert(4,to_timestamp('25/02/2011 11:00:00'),30.,RSP);
  p_consumP_insert(4,to_timestamp('25/03/2011 11:00:00'),35.,RSP);
  p_consumP_insert(4,to_timestamp('25/04/2011 11:00:00'),30.,RSP);
  p_consumP_insert(4,to_timestamp('25/05/2011 11:00:00'),35.,RSP);
  p_consumP_insert(4,to_timestamp('25/06/2011 11:00:00'),30.,RSP);
  p_consumP_insert(4,to_timestamp('25/07/2011 11:00:00'),35.,RSP);
  p_consumP_insert(4,to_timestamp('25/08/2011 11:00:00'),30.,RSP);
  p_consumP_insert(4,to_timestamp('25/09/2011 11:00:00'),35.,RSP);
  p_consumP_insert(4,to_timestamp('25/10/2011 11:00:00'),30.,RSP);
  p_consumP_insert(4,to_timestamp('25/11/2011 11:00:00'),35.,RSP);
  p_consumP_insert(4,to_timestamp('25/12/2011 11:00:00'),30.,RSP);

  -- COMPTADOR 4 - 2012 = 250
  p_consumP_insert(4,to_timestamp('25/01/2012 11:00:00'),50.,RSP);
  p_consumP_insert(4,to_timestamp('25/02/2012 11:00:00'),50.,RSP);
  p_consumP_insert(4,to_timestamp('25/03/2012 11:00:00'),50.,RSP);
  p_consumP_insert(4,to_timestamp('25/04/2012 11:00:00'),50.,RSP);
  p_consumT_insert(4,50.,RSP);      

  -- COMPTADOR 5 - 2011 = 1500
  p_consumP_insert(5,to_timestamp('25/01/2011 11:00:00'),125.,RSP);
  p_consumP_insert(5,to_timestamp('25/02/2011 11:00:00'),125.,RSP);
  p_consumP_insert(5,to_timestamp('25/03/2011 11:00:00'),125.,RSP);
  p_consumP_insert(5,to_timestamp('25/04/2011 11:00:00'),125.,RSP);
  p_consumP_insert(5,to_timestamp('25/05/2011 11:00:00'),125.,RSP);
  p_consumP_insert(5,to_timestamp('25/06/2011 11:00:00'),125.,RSP);
  p_consumP_insert(5,to_timestamp('25/07/2011 11:00:00'),125.,RSP);
  p_consumP_insert(5,to_timestamp('25/08/2011 11:00:00'),125.,RSP);
  p_consumP_insert(5,to_timestamp('25/09/2011 11:00:00'),125.,RSP);
  p_consumP_insert(5,to_timestamp('25/10/2011 11:00:00'),125.,RSP);
  p_consumP_insert(5,to_timestamp('25/11/2011 11:00:00'),125.,RSP);
  p_consumP_insert(5,to_timestamp('25/12/2011 11:00:00'),125.,RSP);

  -- COMPTADOR 5 - 2012 = 625
  p_consumP_insert(5,to_timestamp('25/01/2012 11:00:00'),125.,RSP);
  p_consumP_insert(5,to_timestamp('25/02/2012 11:00:00'),125.,RSP);
  p_consumP_insert(5,to_timestamp('25/03/2012 11:00:00'),125.,RSP);
  p_consumP_insert(5,to_timestamp('25/04/2012 11:00:00'),125.,RSP);
  p_consumT_insert(5,125.,RSP);   

  -- COMPTADOR 6 - 2011 = 1115
  p_consumP_insert(6,to_timestamp('25/01/2011 11:00:00'),85.,RSP);
  p_consumP_insert(6,to_timestamp('25/02/2011 11:00:00'),80.,RSP);
  p_consumP_insert(6,to_timestamp('25/03/2011 11:00:00'),100.,RSP);
  p_consumP_insert(6,to_timestamp('25/04/2011 11:00:00'),100.,RSP);
  p_consumP_insert(6,to_timestamp('25/05/2011 11:00:00'),80.,RSP);
  p_consumP_insert(6,to_timestamp('25/06/2011 11:00:00'),100.,RSP);
  p_consumP_insert(6,to_timestamp('25/07/2011 11:00:00'),90.,RSP);
  p_consumP_insert(6,to_timestamp('25/08/2011 11:00:00'),90.,RSP);
  p_consumP_insert(6,to_timestamp('25/09/2011 11:00:00'),95.,RSP);
  p_consumP_insert(6,to_timestamp('25/10/2011 11:00:00'),100.,RSP);
  p_consumP_insert(6,to_timestamp('25/11/2011 11:00:00'),95.,RSP);
  p_consumP_insert(6,to_timestamp('25/12/2011 11:00:00'),100.,RSP);

  -- COMPTADOR 6 - 2012 = 500
  p_consumP_insert(6,to_timestamp('25/01/2012 11:00:00'),100.,RSP);
  p_consumP_insert(6,to_timestamp('25/02/2012 11:00:00'),100.,RSP);
  p_consumP_insert(6,to_timestamp('25/03/2012 11:00:00'),100.,RSP);
  p_consumP_insert(6,to_timestamp('25/04/2012 11:00:00'),100.,RSP);
  p_consumT_insert(6,100.,RSP);      

  -- COMPTADOR 7 - 2011 = 1115
  p_consumP_insert(7,to_timestamp('25/01/2011 11:00:00'),85.,RSP);
  p_consumP_insert(7,to_timestamp('25/02/2011 11:00:00'),80.,RSP);
  p_consumP_insert(7,to_timestamp('25/03/2011 11:00:00'),100.,RSP);
  p_consumP_insert(7,to_timestamp('25/04/2011 11:00:00'),100.,RSP);
  p_consumP_insert(7,to_timestamp('25/05/2011 11:00:00'),80.,RSP);
  p_consumP_insert(7,to_timestamp('25/06/2011 11:00:00'),100.,RSP);
  p_consumP_insert(7,to_timestamp('25/07/2011 11:00:00'),90.,RSP);
  p_consumP_insert(7,to_timestamp('25/08/2011 11:00:00'),90.,RSP);
  p_consumP_insert(7,to_timestamp('25/09/2011 11:00:00'),95.,RSP);
  p_consumP_insert(7,to_timestamp('25/10/2011 11:00:00'),100.,RSP);
  p_consumP_insert(7,to_timestamp('25/11/2011 11:00:00'),95.,RSP);
  p_consumP_insert(7,to_timestamp('25/12/2011 11:00:00'),100.,RSP);

  -- COMPTADOR 7 - 2012 = 500
  p_consumP_insert(7,to_timestamp('25/01/2012 11:00:00'),100.,RSP);
  p_consumP_insert(7,to_timestamp('25/02/2012 11:00:00'),100.,RSP);
  p_consumP_insert(7,to_timestamp('25/03/2012 11:00:00'),100.,RSP);
  p_consumP_insert(7,to_timestamp('25/04/2012 11:00:00'),100.,RSP);
  p_consumT_insert(7,100.,RSP);    

  -- COMPTADOR 8 - 2011 = 1115
  p_consumP_insert(8,to_timestamp('25/01/2011 11:00:00'),85.,RSP);
  p_consumP_insert(8,to_timestamp('25/02/2011 11:00:00'),80.,RSP);
  p_consumP_insert(8,to_timestamp('25/03/2011 11:00:00'),100.,RSP);
  p_consumP_insert(8,to_timestamp('25/04/2011 11:00:00'),100.,RSP);
  p_consumP_insert(8,to_timestamp('25/05/2011 11:00:00'),80.,RSP);
  p_consumP_insert(8,to_timestamp('25/06/2011 11:00:00'),100.,RSP);
  p_consumP_insert(8,to_timestamp('25/07/2011 11:00:00'),90.,RSP);
  p_consumP_insert(8,to_timestamp('25/08/2011 11:00:00'),90.,RSP);
  p_consumP_insert(8,to_timestamp('25/09/2011 11:00:00'),95.,RSP);
  p_consumP_insert(8,to_timestamp('25/10/2011 11:00:00'),100.,RSP);
  p_consumP_insert(8,to_timestamp('25/11/2011 11:00:00'),95.,RSP);
  p_consumP_insert(8,to_timestamp('25/12/2011 11:00:00'),100.,RSP);

  -- COMPTADOR 8 - 2012 = 500
  p_consumP_insert(8,to_timestamp('25/01/2012 11:00:00'),100.,RSP);
  p_consumP_insert(8,to_timestamp('25/02/2012 11:00:00'),100.,RSP);
  p_consumP_insert(8,to_timestamp('25/03/2012 11:00:00'),100.,RSP);
  p_consumP_insert(8,to_timestamp('25/04/2012 11:00:00'),100.,RSP);
  p_consumT_insert(8,100.,RSP);   

  -- COMPTADOR 9 - 2011 = 2315
  p_consumP_insert(9,to_timestamp('25/01/2011 11:00:00'),185.,RSP);
  p_consumP_insert(9,to_timestamp('25/02/2011 11:00:00'),180.,RSP);
  p_consumP_insert(9,to_timestamp('25/03/2011 11:00:00'),200.,RSP);
  p_consumP_insert(9,to_timestamp('25/04/2011 11:00:00'),200.,RSP);
  p_consumP_insert(9,to_timestamp('25/05/2011 11:00:00'),180.,RSP);
  p_consumP_insert(9,to_timestamp('25/06/2011 11:00:00'),200.,RSP);
  p_consumP_insert(9,to_timestamp('25/07/2011 11:00:00'),190.,RSP);
  p_consumP_insert(9,to_timestamp('25/08/2011 11:00:00'),190.,RSP);
  p_consumP_insert(9,to_timestamp('25/09/2011 11:00:00'),195.,RSP);
  p_consumP_insert(9,to_timestamp('25/10/2011 11:00:00'),200.,RSP);
  p_consumP_insert(9,to_timestamp('25/11/2011 11:00:00'),195.,RSP);
  p_consumP_insert(9,to_timestamp('25/12/2011 11:00:00'),200.,RSP);

  -- COMPTADOR 9 - 2012 = 1000
  p_consumP_insert(9,to_timestamp('25/01/2012 11:00:00'),200.,RSP);
  p_consumP_insert(9,to_timestamp('25/02/2012 11:00:00'),200.,RSP);
  p_consumP_insert(9,to_timestamp('25/03/2012 11:00:00'),200.,RSP);
  p_consumP_insert(9,to_timestamp('25/04/2012 11:00:00'),200.,RSP);
  p_consumT_insert(9,200.,RSP);   
  
  -- COMPTADOR 10 - 2011 = 605
  p_consumP_insert(10,to_timestamp('25/01/2011 11:00:00'),65.,RSP);
  p_consumP_insert(10,to_timestamp('25/02/2011 11:00:00'),60.,RSP);
  p_consumP_insert(10,to_timestamp('25/03/2011 11:00:00'),60.,RSP);
  p_consumP_insert(10,to_timestamp('25/04/2011 11:00:00'),60.,RSP);
  p_consumP_insert(10,to_timestamp('25/05/2011 11:00:00'),75.,RSP);
  p_consumP_insert(10,to_timestamp('25/06/2011 11:00:00'),60.,RSP);
  p_consumP_insert(10,to_timestamp('25/07/2011 11:00:00'),65.,RSP);
  p_consumP_insert(10,to_timestamp('25/08/2011 11:00:00'),25.,RSP);
  p_consumP_insert(10,to_timestamp('25/09/2011 11:00:00'),30.,RSP);
  p_consumP_insert(10,to_timestamp('25/10/2011 11:00:00'),35.,RSP);
  p_consumP_insert(10,to_timestamp('25/11/2011 11:00:00'),45.,RSP);
  p_consumP_insert(10,to_timestamp('25/12/2011 11:00:00'),25.,RSP);

  -- COMPTADOR 10 - 2012 = 300
  p_consumP_insert(10,to_timestamp('25/01/2012 11:00:00'),60.,RSP);
  p_consumP_insert(10,to_timestamp('25/02/2012 11:00:00'),60.,RSP);
  p_consumP_insert(10,to_timestamp('25/03/2012 11:00:00'),60.,RSP);
  p_consumP_insert(10,to_timestamp('25/04/2012 11:00:00'),60.,RSP);
  p_consumT_insert(10,60.,RSP);   
  
  -- COMPTADOR 11 - 2011 = 1115
  p_consumP_insert(11,to_timestamp('25/01/2011 11:00:00'),85.,RSP);
  p_consumP_insert(11,to_timestamp('25/02/2011 11:00:00'),80.,RSP);
  p_consumP_insert(11,to_timestamp('25/03/2011 11:00:00'),100.,RSP);
  p_consumP_insert(11,to_timestamp('25/04/2011 11:00:00'),100.,RSP);
  p_consumP_insert(11,to_timestamp('25/05/2011 11:00:00'),80.,RSP);
  p_consumP_insert(11,to_timestamp('25/06/2011 11:00:00'),100.,RSP);
  p_consumP_insert(11,to_timestamp('25/07/2011 11:00:00'),90.,RSP);
  p_consumP_insert(11,to_timestamp('25/08/2011 11:00:00'),90.,RSP);
  p_consumP_insert(11,to_timestamp('25/09/2011 11:00:00'),95.,RSP);
  p_consumP_insert(11,to_timestamp('25/10/2011 11:00:00'),100.,RSP);
  p_consumP_insert(11,to_timestamp('25/11/2011 11:00:00'),95.,RSP);
  p_consumP_insert(11,to_timestamp('25/12/2011 11:00:00'),100.,RSP);

  -- COMPTADOR 11 - 2012 = 500
  p_consumP_insert(11,to_timestamp('25/01/2012 11:00:00'),100.,RSP);
  p_consumP_insert(11,to_timestamp('25/02/2012 11:00:00'),100.,RSP);
  p_consumP_insert(11,to_timestamp('25/03/2012 11:00:00'),100.,RSP);
  p_consumP_insert(11,to_timestamp('25/04/2012 11:00:00'),100.,RSP);
  p_consumT_insert(11,100.,RSP);   
    
  -- COMPTADOR 12 - 2011 = 1115
  p_consumP_insert(12,to_timestamp('25/01/2011 11:00:00'),85.,RSP);
  p_consumP_insert(12,to_timestamp('25/02/2011 11:00:00'),80.,RSP);
  p_consumP_insert(12,to_timestamp('25/03/2011 11:00:00'),100.,RSP);
  p_consumP_insert(12,to_timestamp('25/04/2011 11:00:00'),100.,RSP);
  p_consumP_insert(12,to_timestamp('25/05/2011 11:00:00'),80.,RSP);
  p_consumP_insert(12,to_timestamp('25/06/2011 11:00:00'),100.,RSP);
  p_consumP_insert(12,to_timestamp('25/07/2011 11:00:00'),90.,RSP);
  p_consumP_insert(12,to_timestamp('25/08/2011 11:00:00'),90.,RSP);
  p_consumP_insert(12,to_timestamp('25/09/2011 11:00:00'),95.,RSP);
  p_consumP_insert(12,to_timestamp('25/10/2011 11:00:00'),100.,RSP);
  p_consumP_insert(12,to_timestamp('25/11/2011 11:00:00'),95.,RSP);
  p_consumP_insert(12,to_timestamp('25/12/2011 11:00:00'),100.,RSP);

  -- COMPTADOR 12 - 2012 = 500
  p_consumP_insert(12,to_timestamp('25/01/2012 11:00:00'),100.,RSP);
  p_consumP_insert(12,to_timestamp('25/02/2012 11:00:00'),100.,RSP);
  p_consumP_insert(12,to_timestamp('25/03/2012 11:00:00'),100.,RSP);
  p_consumP_insert(12,to_timestamp('25/04/2012 11:00:00'),100.,RSP);
  p_consumT_insert(12,100.,RSP);   

  -- COMPTADOR 13 - 2011 = 1115
  p_consumP_insert(13,to_timestamp('25/01/2011 11:00:00'),85.,RSP);
  p_consumP_insert(13,to_timestamp('25/02/2011 11:00:00'),80.,RSP);
  p_consumP_insert(13,to_timestamp('25/03/2011 11:00:00'),100.,RSP);
  p_consumP_insert(13,to_timestamp('25/04/2011 11:00:00'),100.,RSP);
  p_consumP_insert(13,to_timestamp('25/05/2011 11:00:00'),80.,RSP);
  p_consumP_insert(13,to_timestamp('25/06/2011 11:00:00'),100.,RSP);
  p_consumP_insert(13,to_timestamp('25/07/2011 11:00:00'),90.,RSP);
  p_consumP_insert(13,to_timestamp('25/08/2011 11:00:00'),90.,RSP);
  p_consumP_insert(13,to_timestamp('25/09/2011 11:00:00'),95.,RSP);
  p_consumP_insert(13,to_timestamp('25/10/2011 11:00:00'),100.,RSP);
  p_consumP_insert(13,to_timestamp('25/11/2011 11:00:00'),95.,RSP);
  p_consumP_insert(13,to_timestamp('25/12/2011 11:00:00'),100.,RSP);

  -- COMPTADOR 13 - 2012 = 500
  p_consumP_insert(13,to_timestamp('25/01/2012 11:00:00'),100.,RSP);
  p_consumP_insert(13,to_timestamp('25/02/2012 11:00:00'),100.,RSP);
  p_consumP_insert(13,to_timestamp('25/03/2012 11:00:00'),100.,RSP);
  p_consumP_insert(13,to_timestamp('25/04/2012 11:00:00'),100.,RSP);
  p_consumT_insert(13,100.,RSP);   

  -- COMPTADOR 14 - 2011 = 1200
  p_consumP_insert(14,to_timestamp('25/01/2011 11:00:00'),100.,RSP);
  p_consumP_insert(14,to_timestamp('25/02/2011 11:00:00'),100.,RSP);
  p_consumP_insert(14,to_timestamp('25/03/2011 11:00:00'),100.,RSP);
  p_consumP_insert(14,to_timestamp('25/04/2011 11:00:00'),100.,RSP);
  p_consumP_insert(14,to_timestamp('25/05/2011 11:00:00'),100.,RSP);
  p_consumP_insert(14,to_timestamp('25/06/2011 11:00:00'),100.,RSP);
  p_consumP_insert(14,to_timestamp('25/07/2011 11:00:00'),100.,RSP);
  p_consumP_insert(14,to_timestamp('25/08/2011 11:00:00'),100.,RSP);
  p_consumP_insert(14,to_timestamp('25/09/2011 11:00:00'),100.,RSP);
  p_consumP_insert(14,to_timestamp('25/10/2011 11:00:00'),100.,RSP);
  p_consumP_insert(14,to_timestamp('25/11/2011 11:00:00'),100.,RSP);
  p_consumP_insert(14,to_timestamp('25/12/2011 11:00:00'),100.,RSP);

  -- COMPTADOR 14 - 2012 = 500
  p_consumP_insert(14,to_timestamp('25/01/2012 11:00:00'),100.,RSP);
  p_consumP_insert(14,to_timestamp('25/02/2012 11:00:00'),100.,RSP);
  p_consumP_insert(14,to_timestamp('25/03/2012 11:00:00'),100.,RSP);
  p_consumP_insert(14,to_timestamp('25/04/2012 11:00:00'),100.,RSP);
  p_consumT_insert(14,100.,RSP);     
  
  -- COMPTADOR 15 - 2011 = 1680
  p_consumP_insert(15,to_timestamp('25/01/2011 11:00:00'),140.,RSP);
  p_consumP_insert(15,to_timestamp('25/02/2011 11:00:00'),140.,RSP);
  p_consumP_insert(15,to_timestamp('25/03/2011 11:00:00'),140.,RSP);
  p_consumP_insert(15,to_timestamp('25/04/2011 11:00:00'),140.,RSP);
  p_consumP_insert(15,to_timestamp('25/05/2011 11:00:00'),140.,RSP);
  p_consumP_insert(15,to_timestamp('25/06/2011 11:00:00'),140.,RSP);
  p_consumP_insert(15,to_timestamp('25/07/2011 11:00:00'),140.,RSP);
  p_consumP_insert(15,to_timestamp('25/08/2011 11:00:00'),140.,RSP);
  p_consumP_insert(15,to_timestamp('25/09/2011 11:00:00'),140.,RSP);
  p_consumP_insert(15,to_timestamp('25/10/2011 11:00:00'),140.,RSP);
  p_consumP_insert(15,to_timestamp('25/11/2011 11:00:00'),140.,RSP);
  p_consumP_insert(15,to_timestamp('25/12/2011 11:00:00'),140.,RSP);

  -- COMPTADOR 15 - 2012 = 700
  p_consumP_insert(15,to_timestamp('25/01/2012 11:00:00'),140.,RSP);
  p_consumP_insert(15,to_timestamp('25/02/2012 11:00:00'),140.,RSP);
  p_consumP_insert(15,to_timestamp('25/03/2012 11:00:00'),140.,RSP);
  p_consumP_insert(15,to_timestamp('25/04/2012 11:00:00'),140.,RSP);
  p_consumT_insert(15,140.,RSP); 

  -- COMPTADOR 16 - 2011 = 1740
  p_consumP_insert(16,to_timestamp('25/01/2011 11:00:00'),145.,RSP);
  p_consumP_insert(16,to_timestamp('25/02/2011 11:00:00'),145.,RSP);
  p_consumP_insert(16,to_timestamp('25/03/2011 11:00:00'),145.,RSP);
  p_consumP_insert(16,to_timestamp('25/04/2011 11:00:00'),145.,RSP);
  p_consumP_insert(16,to_timestamp('25/05/2011 11:00:00'),145.,RSP);
  p_consumP_insert(16,to_timestamp('25/06/2011 11:00:00'),145.,RSP);
  p_consumP_insert(16,to_timestamp('25/07/2011 11:00:00'),145.,RSP);
  p_consumP_insert(16,to_timestamp('25/08/2011 11:00:00'),145.,RSP);
  p_consumP_insert(16,to_timestamp('25/09/2011 11:00:00'),145.,RSP);
  p_consumP_insert(16,to_timestamp('25/10/2011 11:00:00'),145.,RSP);
  p_consumP_insert(16,to_timestamp('25/11/2011 11:00:00'),145.,RSP);
  p_consumP_insert(16,to_timestamp('25/12/2011 11:00:00'),145.,RSP);

  -- COMPTADOR 16 - 2012 = 725
  p_consumP_insert(16,to_timestamp('25/01/2012 11:00:00'),145.,RSP);
  p_consumP_insert(16,to_timestamp('25/02/2012 11:00:00'),145.,RSP);
  p_consumP_insert(16,to_timestamp('25/03/2012 11:00:00'),145.,RSP);
  p_consumP_insert(16,to_timestamp('25/04/2012 11:00:00'),145.,RSP);
  p_consumT_insert(16,145.,RSP);      
END;
/


